{
    attributes = (
        {
            columnName = "C_LOCAL"; 
            externalType = VARCHAR2; 
            name = cLocal; 
            valueClassName = NSString; 
            valueType = S; 
            width = 5; 
        }, 
        {
            columnName = "SAL_ETAGE"; 
            externalType = VARCHAR2; 
            name = salEtage; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "TSAL_NUMERO"; 
            externalType = NUMBER; 
            name = tsalNumero; 
            valueClassName = NSNumber; 
            valueType = d; 
        }
    ); 
    attributesUsedForLocking = (cLocal, salEtage, tsalNumero); 
    className = "org.cocktail.fwkgspot.serveur.metier.eof.EOVTypeSalleLocalEtage"; 
    classProperties = (salEtage, toLocal, toSalles, toTypeSalle); 
    externalName = "GRHUM.V_TYPE_SALLE_LOCAL_ETAGE"; 
    fetchSpecificationDictionary = {}; 
    name = "FwkGspot_VTypeSalleLocalEtage"; 
    primaryKeyAttributes = (cLocal, salEtage, tsalNumero); 
    relationships = (
        {
            destination = "FwkGspot_Local"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cLocal; sourceAttribute = cLocal; }); 
            name = toLocal; 
        }, 
        {
            destination = "FwkGspot_Salles"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = cLocal; sourceAttribute = cLocal; }, 
                {destinationAttribute = salEtage; sourceAttribute = salEtage; }, 
                {destinationAttribute = tsalNumero; sourceAttribute = tsalNumero; }
            ); 
            name = toSalles; 
        }, 
        {
            destination = "FwkGspot_TypeSalle"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tsalNumero; sourceAttribute = tsalNumero; }); 
            name = toTypeSalle; 
        }
    ); 
}
